# Uses of Enum Class
io.papermc.paper.event.player.PlayerItemFrameChangeEvent.ItemFrameChangeAction

Packages that use PlayerItemFrameChangeEvent.ItemFrameChangeAction
Package
Description
io.papermc.paper.event.player

## Uses of PlayerItemFrameChangeEvent.ItemFrameChangeAction in io.papermc.paper.event.player

Methods in io.papermc.paper.event.player that return PlayerItemFrameChangeEvent.ItemFrameChangeAction
Modifier and Type
Method
Description
`@NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction`
PlayerItemFrameChangeEvent.`getAction()`
Gets the action that was performed on this `ItemFrame`.
`static PlayerItemFrameChangeEvent.ItemFrameChangeAction`
PlayerItemFrameChangeEvent.ItemFrameChangeAction.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static PlayerItemFrameChangeEvent.ItemFrameChangeAction[]`
PlayerItemFrameChangeEvent.ItemFrameChangeAction.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in io.papermc.paper.event.player with parameters of type PlayerItemFrameChangeEvent.ItemFrameChangeAction
Modifier
Constructor
Description
``
`PlayerItemFrameChangeEvent(@NotNull Player player, @NotNull ItemFrame itemFrame, @NotNull ItemStack itemStack, @NotNull PlayerItemFrameChangeEvent.ItemFrameChangeAction action)`